apiVersion: kafka.strimzi.io/v1beta2
kind: KafkaMirrorMaker2
metadata:
  creationTimestamp: '2023-11-14T11:41:11Z'
  generation: 3
  managedFields:
    - apiVersion: kafka.strimzi.io/v1beta2
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:mirrors': {}
          'f:version': {}
          'f:connectCluster': {}
          'f:logging':
            .: {}
            'f:loggers':
              .: {}
              'f:connect.root.logger.level': {}
            'f:type': {}
          'f:clusters': {}
          .: {}
          'f:replicas': {}
          'f:livenessProbe':
            .: {}
            'f:initialDelaySeconds': {}
            'f:timeoutSeconds': {}
          'f:readinessProbe':
            .: {}
            'f:initialDelaySeconds': {}
            'f:timeoutSeconds': {}
          'f:jmxOptions': {}
      manager: Mozilla
      operation: Update
      time: '2023-11-14T14:02:59Z'
    - apiVersion: kafka.strimzi.io/v1beta2
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:connectors': {}
          'f:labelSelector': {}
          'f:observedGeneration': {}
          'f:replicas': {}
          'f:url': {}
      manager: strimzi-cluster-operator
      operation: Update
      subresource: status
      time: '2023-11-14T14:38:08Z'
  name: my-mm2
  namespace: target
  resourceVersion: '686288'
  uid: 5b0f5c76-a01a-42bf-9bc2-ba292ad5330a
spec:
  readinessProbe:
    initialDelaySeconds: 120
    timeoutSeconds: 60
  jmxOptions: {}
  livenessProbe:
    initialDelaySeconds: 120
    timeoutSeconds: 60
  connectCluster: my-cluster-tgt
  mirrors:
    - checkpointConnector:
        config:
          value.converter: org.apache.kafka.connect.converters.ByteArrayConverter
          emit.checkpoints.enabled: true
          sync.group.offsets.interval.seconds: 20
          key.converter: org.apache.kafka.connect.converters.ByteArrayConverter
          sync.group.offsets.enabled: true
          checkpoints.topic.replication.factor: -1
          emit.checkpoints.interval.seconds: 20
          refresh.groups.interval.seconds: 20
          replication.policy.class: org.apache.kafka.connect.mirror.IdentityReplicationPolicy
        tasksMax: 10
      groupsPattern: .*
      sourceCluster: my-cluster
      sourceConnector:
        config:
          offset-syncs.topic.replication.factor: -1
          value.converter: org.apache.kafka.connect.converters.ByteArrayConverter
          offset-syncs.topic.location: target
          refresh.topics.interval.seconds: 20
          sync.topic.acls.enabled: false
          key.converter: org.apache.kafka.connect.converters.ByteArrayConverter
          replication.factor: -1
          sync.topic.configs.enabled: true
          replication.policy.class: org.apache.kafka.connect.mirror.IdentityReplicationPolicy
        tasksMax: 10
      targetCluster: my-cluster-tgt
      topicsPattern: .*
  version: 3.5.0
  clusters:
    - alias: my-cluster
      bootstrapServers: 'my-cluster-kafka-bootstrap.source.svc:9092'
    - alias: my-cluster-tgt
      bootstrapServers: 'my-cluster-tgt-kafka-bootstrap.target.svc:9092'
      config:
        config.storage.replication.factor: -1
        offset.storage.replication.factor: -1
        ssl.cipher.suites: TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384
        ssl.enabled.protocols: TLSv1.2
        ssl.protocol: TLSv1.2
        status.storage.replication.factor: -1
  replicas: 1
  logging:
    loggers:
      connect.root.logger.level: INFO
    type: inline
status:
  conditions:
    - lastTransitionTime: '2023-11-14T14:38:08.118794226Z'
      status: 'True'
      type: Ready
  connectors:
    - connector:
        state: RUNNING
        worker_id: '10.128.2.59:8083'
      name: my-cluster->my-cluster-tgt.MirrorCheckpointConnector
      tasks:
        - id: 0
          state: RUNNING
          worker_id: '10.128.2.59:8083'
      type: source
    - connector:
        state: RUNNING
        worker_id: '10.128.2.59:8083'
      name: my-cluster->my-cluster-tgt.MirrorSourceConnector
      tasks:
        - id: 0
          state: RUNNING
          worker_id: '10.128.2.59:8083'
        - id: 1
          state: RUNNING
          worker_id: '10.128.2.59:8083'
      type: source
  labelSelector: >-
    strimzi.io/cluster=my-mm2,strimzi.io/name=my-mm2-mirrormaker2,strimzi.io/kind=KafkaMirrorMaker2
  observedGeneration: 3
  replicas: 1
  url: 'http://my-mm2-mirrormaker2-api.target.svc:8083'
